Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036433
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2017-07-06 13:232018-01-30 13:07
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionc9bc9a003c2c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036433: DataSourceJavaScriptCreator class is deprecated and not used so candidate for removal

DescriptionThis class is deprecated an unused since this commit from 2011 so so candidate for removal.
Quick check is all modules did not find any usage.

Note: when removing there is a also deprecated getter in the BaseDataSourceService class (for which also no user exists)

changeset: 13735:72b0ca062988
user: Martin Taal <martin.taal@openbravo.com>
date: Thu Sep 08 14:09:20 2011 +0200
description:
Related to issue 18470: Performance: generate smaller javascript for a window, improve view generation performance

Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0037770 closedalostale API change: some removals in very old and obsolete code 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0102046)
hgbot (developer)
2018-01-30 13:03

Repository: erp/devel/pi
Changeset: c9bc9a003c2c3218b224413b8146a1592d047c28
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sat Dec 16 17:33:27 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c9bc9a003c2c3218b224413b8146a1592d047c28 [^]

Fixed 36433. Delete long time deprecated and unused DataSourceJaaScriptCreator

This class has been deprecated long time ago and is also not used anywhere in pi.
Checking getAllModules also does not show any user.
Same applies for the deprecated getter method in the BaseDataSourceService.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/BaseDataSourceService.java
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceJavaScriptCreator.java
---

- Issue History
Date Modified Username Field Change
2017-07-06 13:23 shuehner New Issue
2017-07-06 13:23 shuehner Assigned To => platform
2017-07-06 13:23 shuehner Modules => Core
2017-07-06 13:23 shuehner Triggers an Emergency Pack => No
2017-12-16 16:53 shuehner Relationship added blocks 0032688
2018-01-30 12:42 alostale Assigned To platform => shuehner
2018-01-30 12:59 alostale Relationship added depends on 0037770
2018-01-30 13:03 hgbot Checkin
2018-01-30 13:03 hgbot Note Added: 0102046
2018-01-30 13:03 hgbot Status new => resolved
2018-01-30 13:03 hgbot Resolution open => fixed
2018-01-30 13:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c9bc9a003c2c3218b224413b8146a1592d047c28 [^]
2018-01-30 13:07 alostale Review Assigned To => alostale
2018-01-30 13:07 alostale Status resolved => closed
2018-01-30 13:07 alostale Fixed in Version => 3.0PR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker